import * as crypto from 'crypto';
import { UUID } from 'crypto';
import { BeforeInsert, Column, Entity, PrimaryColumn } from 'typeorm';

@Entity("refresh_tokens")
export class AuthRefreshTokenEntity {
  @PrimaryColumn({ name: 'user_id' })
  readonly userId: UUID;

  @PrimaryColumn({ name: 'refresh_token_hash' })
  tokenHash: string;

  @Column({ name: 'exp' })
  exp: Date;

  @BeforeInsert()
  async hashRefreshToken() {
    const buffer = Buffer.from(this.tokenHash, 'utf8');
    const hash = crypto.createHash('sha256').update(buffer).digest('base64');
    this.tokenHash = hash;
  }
}