
import { ForbiddenException, Injectable } from '@nestjs/common';
import { AuthGuard } from '@nestjs/passport';

@Injectable()
export class OfflineGuard extends AuthGuard(['jwt-access', 'jwt-refresh']) {
  handleRequest(err, user, info) {
    if (err || user) {
      throw err || new ForbiddenException();
    }
    return user;
  }
}
