import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { JwtModuleOptions, JwtOptionsFactory } from '@nestjs/jwt';

@Injectable()
export class JwtOptions implements JwtOptionsFactory {
  constructor(
    private config: ConfigService,
  ) { }


  createJwtOptions(): Promise<JwtModuleOptions> | JwtModuleOptions {
    return {
      signOptions: {
        issuer: this.config.getOrThrow<string>('AUTH_JWT_ISSUER'),
        audience: this.config.getOrThrow<string>('AUTH_JWT_AUDIENCE'),
      },
    };
  }
}
