import { IsNotEmpty, IsNumber, IsOptional, IsString, IsUUID, Max, Min } from 'class-validator';
import { UUID } from 'crypto';

export class CreateBookStatusDto {
  @IsUUID()
  @IsNotEmpty()
  readonly bookId: UUID;

  @IsUUID()
  @IsNotEmpty()
  @IsOptional()
  readonly userId: UUID;

  @IsNumber()
  @IsNotEmpty()
  @Min(0)
  @Max(6)
  state: number;

  modifiedAt: Date;
}