import { UUID } from 'crypto';
import { UserEntity } from 'src/users/entities/users.entity';
import { Column, Entity, JoinColumn, OneToOne, PrimaryColumn } from 'typeorm';
import { BookEntity } from './book.entity';

@Entity("book_statuses")
export class BookStatusEntity {
  @PrimaryColumn({ name: 'book_id', type: 'uuid' })
  readonly bookId: UUID;

  @PrimaryColumn({ name: 'user_id', type: 'uuid' })
  readonly userId: UUID;

  @Column({ name: 'state', type: 'smallint' })
  state: number;

  @Column({ name: 'added_at', type: 'timestamptz', nullable: false })
  addedAt: Date

  @Column({ name: 'modified_at', type: 'timestamptz', nullable: false })
  modifiedAt: Date;

  @OneToOne(type => BookEntity, book => book.statuses)
  @JoinColumn({
    name: 'book_id',
    referencedColumnName: 'bookId',
  })
  book: BookEntity;

  @OneToOne(type => UserEntity, user => user.bookStatuses)
  @JoinColumn({
    name: 'user_id',
    referencedColumnName: 'userId',
  })
  user: UserEntity;
}