export class AppConfig {
  features = new FeaturesConfig();
  providers = new ProvidersConfig();
}

class FeaturesConfig {
  registration: boolean = false;
}

class ProvidersConfig {
  default: string = 'google';

  google: GoogleProviderConfig = new GoogleProviderConfig();
}

class GenericProviderConfig {
  name: string = '';
  filters: { [key: string]: any } = {};
}

class GoogleProviderConfig extends GenericProviderConfig {
  override name: string = 'Google';

  // Key represents the language's ISO-639-1 code.
  // Value is the name of the language.
  languages: { [key: string]: any } = {
    'zh': 'Chinese',
    'nl': 'Dutch',
    'en': 'English',
    'fr': 'Francais',
    'ko': 'Korean',
    'ja': 'Japanese',
    'es': 'Spanish',
  };
}